{% extends 'registration/login_base.html' %}
{% load widget_tweaks %}

{% block page_title %}ثبت‌نام در سایت{% endblock page_title %}

{% block main_content %}
<form class="login100-form validate-form" method="POST">
	{% csrf_token %}
	<span class="login100-form-title p-b-26 myfont">
		ثبت‌نام در سایت
	</span>
	<span class="login100-form-title p-b-48">
		<i class="fas fa-user-plus"></i>
	</span>

	<div class="wrap-input100 validate-input myfont">
		{{ form.email|add_class:"input100" }}
		<span class="focus-input100" data-placeholder="ایمیل"></span>
	</div>

	<div class="wrap-input100 validate-input myfont">
		{{ form.username|add_class:"input100" }}
		<span class="focus-input100" data-placeholder="نام کاربری"></span>
	</div>

	<div class="wrap-input100 validate-input myfont">
		<span class="btn-show-pass">
			<i class="zmdi zmdi-eye"></i>
		</span>
		{{ form.password1|add_class:"input100" }}
		<span class="focus-input100" data-placeholder="گذرواژه"></span>
	</div>

	<div class="wrap-input100 validate-input myfont">
		<span class="btn-show-pass">
			<i class="zmdi zmdi-eye"></i>
		</span>
		{{ form.password2|add_class:"input100" }}
		<span class="focus-input100" data-placeholder="تکرار گذرواژه"></span>
	</div>

	{% if form.email.errors %}
		<hr>
		<div class="errors">

			{% for error in form.email.errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
	{% endif %}

	{% if form.username.errors %}
		<hr>
		<div class="errors">

			{% for error in form.username.errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
	{% endif %}

	{% if form.password1.errors %}
		<hr>
		<div class="errors">

			{% for error in form.password1.errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
	{% endif %}	

	{% if form.password2.errors %}
		<hr>
		<div class="errors">

			{% for error in form.password2.errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
	{% endif %}	

	{% if form.non_field_errors %}
	<hr>
	<div class="errors">

		{% for error in form.non_field_errors %}
		<span>{{ error }}</span>
		{% endfor %}

	</div>
	<hr>
	{% endif %}

	<div class="container-login100-form-btn">
		<div class="wrap-login100-form-btn">
			<div class="login100-form-bgbtn"></div>
			<button class="login100-form-btn myfont">
				ثبت‌نام
			</button>
		</div>
	</div>

	<div class="text-center mt-3">
		<a class="text-primary myfont" style="font-size: 17px; font-weight: bold;" href="{% url 'login' %}">
			اگر حساب کاربری دارید، وارد سایت شوید.
		</a>
	</div>
</form>
{% endblock main_content %}